#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rfkill_get_led_trigger_name, "", "");
KSYMTAB_FUNC(rfkill_set_led_trigger_name, "", "");
KSYMTAB_FUNC(rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(rfkill_set_sw_state, "", "");
KSYMTAB_FUNC(rfkill_init_sw_state, "", "");
KSYMTAB_FUNC(rfkill_set_states, "", "");
KSYMTAB_FUNC(rfkill_find_type, "", "");
KSYMTAB_FUNC(rfkill_pause_polling, "", "");
KSYMTAB_FUNC(rfkill_resume_polling, "", "");
KSYMTAB_FUNC(rfkill_blocked, "", "");
KSYMTAB_FUNC(rfkill_soft_blocked, "", "");
KSYMTAB_FUNC(rfkill_alloc, "", "");
KSYMTAB_FUNC(rfkill_register, "", "");
KSYMTAB_FUNC(rfkill_unregister, "", "");
KSYMTAB_FUNC(rfkill_destroy, "", "");

SYMBOL_CRC(rfkill_get_led_trigger_name, 0xaa6f23ad, "");
SYMBOL_CRC(rfkill_set_led_trigger_name, 0x9cab34a6, "");
SYMBOL_CRC(rfkill_set_hw_state_reason, 0x0cdce87c, "");
SYMBOL_CRC(rfkill_set_sw_state, 0x8a490c90, "");
SYMBOL_CRC(rfkill_init_sw_state, 0xaad6d92f, "");
SYMBOL_CRC(rfkill_set_states, 0x85b5e625, "");
SYMBOL_CRC(rfkill_find_type, 0x50b73ce2, "");
SYMBOL_CRC(rfkill_pause_polling, 0x3939f8f0, "");
SYMBOL_CRC(rfkill_resume_polling, 0xc781bd9f, "");
SYMBOL_CRC(rfkill_blocked, 0xc0763484, "");
SYMBOL_CRC(rfkill_soft_blocked, 0xd24108d4, "");
SYMBOL_CRC(rfkill_alloc, 0xa808a824, "");
SYMBOL_CRC(rfkill_register, 0xff282521, "");
SYMBOL_CRC(rfkill_unregister, 0x083eb21c, "");
SYMBOL_CRC(rfkill_destroy, 0xdb68bbad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb511ec16, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6df768b3, "param_ops_uint" },
	{ 0xaedc350b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69811386, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9140e656, "input_register_handle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe16b094c, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf452f31d, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x15961654, "device_add" },
	{ 0x20b480c6, "input_open_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4e604434, "class_unregister" },
	{ 0xfef587be, "led_trigger_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb3c65ab6, "input_close_device" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa21e5f9c, "device_del" },
	{ 0xf2715d74, "input_unregister_handler" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x77828fbf, "misc_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27f03357, "input_register_handler" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x38e1d231, "led_trigger_register" },
	{ 0x8fd32bed, "input_unregister_handle" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9f4e67f, "kobject_uevent" },
	{ 0xcf44d0ec, "stream_open" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x125f362f, "led_trigger_event" },
	{ 0x98cf60b3, "strlen" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xe66692e3, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

